# Visualization
TKService
MFT

# MFT_ListOfFontName Class Reference

`#include <MFT_ListOfFontName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MFT_ListOfFontName ()
Standard_EXPORT void | Clear ()
| ~MFT_ListOfFontName ()
Standard_EXPORT const MFT_ListOfFontName & | Assign (const MFT_ListOfFontName &Other)
const MFT_ListOfFontName & | operator= (const MFT_ListOfFontName &Other)
Standard_EXPORT void | Append (const TCollection_AsciiString &T)
void | Append (MFT_ListOfFontName &S)
Standard_EXPORT void | Prepend (const TCollection_AsciiString &T)
void | Prepend (MFT_ListOfFontName &S)
void | InsertBefore (const Standard_Integer Index, const TCollection_AsciiString &T)
void | InsertBefore (const Standard_Integer Index, MFT_ListOfFontName &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const TCollection_AsciiString &T)
void | InsertAfter (const Standard_Integer Index, MFT_ListOfFontName &S)
Standard_EXPORT const TCollection_AsciiString & | First () const
Standard_EXPORT const TCollection_AsciiString & | Last () const
void | Split (const Standard_Integer Index, MFT_ListOfFontName &Sub)
Standard_EXPORT const TCollection_AsciiString & | Value (const Standard_Integer Index) const
const TCollection_AsciiString & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const TCollection_AsciiString &I)
Standard_EXPORT TCollection_AsciiString & | ChangeValue (const Standard_Integer Index)
TCollection_AsciiString & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MFT_ListOfFontName (const MFT_ListOfFontName &Other)

## Constructor & Destructor Documentation

MFT_ListOfFontName::MFT_ListOfFontName | ( |  | ) |

MFT_ListOfFontName::~MFT_ListOfFontName | ( |  | ) | `[inline]`

Standard_EXPORT MFT_ListOfFontName::MFT_ListOfFontName | ( | const MFT_ListOfFontName & | Other | ) | `[private]`

## Member Function Documentation

void MFT_ListOfFontName::Append | ( | MFT_ListOfFontName & | S | ) |

Standard_EXPORT void MFT_ListOfFontName::Append | ( | const TCollection_AsciiString & | T | ) |

Standard_EXPORT const MFT_ListOfFontName& MFT_ListOfFontName::Assign | ( | const MFT_ListOfFontName & | Other | ) |

Standard_EXPORT TCollection_AsciiString& MFT_ListOfFontName::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontName::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& MFT_ListOfFontName::First | ( |  | ) | const

void MFT_ListOfFontName::InsertAfter | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontName & | S
| ) |

Standard_EXPORT void MFT_ListOfFontName::InsertAfter | ( | const Standard_Integer | Index,
|  | const TCollection_AsciiString & | T
| ) |

void MFT_ListOfFontName::InsertBefore | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontName & | S
| ) |

void MFT_ListOfFontName::InsertBefore | ( | const Standard_Integer | Index,
|  | const TCollection_AsciiString & | T
| ) |

Standard_EXPORT const TCollection_AsciiString& MFT_ListOfFontName::Last | ( |  | ) | const

void MFT_ListOfFontName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MFT_ListOfFontName::operator new | ( | size_t | size | ) | `[inline]`

void* MFT_ListOfFontName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TCollection_AsciiString& MFT_ListOfFontName::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TCollection_AsciiString& MFT_ListOfFontName::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MFT_ListOfFontName& MFT_ListOfFontName::operator= | ( | const MFT_ListOfFontName & | Other | ) | `[inline]`

void MFT_ListOfFontName::Prepend | ( | MFT_ListOfFontName & | S | ) |

Standard_EXPORT void MFT_ListOfFontName::Prepend | ( | const TCollection_AsciiString & | T | ) |

Standard_EXPORT void MFT_ListOfFontName::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MFT_ListOfFontName::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontName::SetValue | ( | const Standard_Integer | Index,
|  | const TCollection_AsciiString & | I
| ) |

void MFT_ListOfFontName::Split | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontName & | Sub
| ) |

Standard_EXPORT const TCollection_AsciiString& MFT_ListOfFontName::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MFT_ListOfFontName.hxx